Download it now!
Bug 37134 - Tabbed UI: Document-per-tab (similar to Firefox, Opera, gedit) MDI
Summary: Tabbed UI: Document-per-tab (similar to Firefox, Opera, gedit) MDI
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high enhancement
Assignee: Not Assigned
URL: https://ask.libreoffice.org/en/questi...
Whiteboard:
Keywords:
: 37806 38401 42429 53251 54078 64847 71451 104021 106768 111431 114250 123307 (view as bug list)
Depends on:
Blocks: Writer-Enhancements UI
  Show dependency treegraph
 
Reported: 2011-05-12 05:19 UTC by msjasinski
Modified: 2020-09-28 08:53 UTC (History)
39 users (show)

See Also:
Crash report or crash signature:


Attachments
right click to add division/tab (14.10 KB, image/png)
2019-12-02 12:14 UTC, roland
Details
division properties 1 (7.56 KB, image/png)
2019-12-02 12:18 UTC, roland
Details
division properties 2 (8.43 KB, image/png)
2019-12-02 12:18 UTC, roland
Details
after changing name (5.55 KB, image/png)
2019-12-02 12:19 UTC, roland
Details
StarOffice 5.2 with seven open tabs (32.64 KB, image/png)
2020-09-15 07:27 UTC, Gerry
Details

Note You need to log in before you can comment on or make changes to this bug.
Description msjasinski 2011-05-12 05:19:23 UTC
Similar to Firefox, Opera, gedit. This would truly make a killer-feature and hugely improve usability and productivity.

There is even an abandoned extension that does it; still working to some extent:

http://wiki.services.openoffice.org/wiki/Framework/TabBrowse/Development

Relevant ticket in OOO buglist:

http://openoffice.org/bugzilla/show_bug.cgi?id=12686
Comment 1 Tom 2011-05-28 10:52:36 UTC
+1

An increasing amount of users have already said they would greatly appreciate having tabs.  People didn't think that tabs would be useful in web-browsers either but imagine trying to go back now!  I think tabs would best best as a vertical stripe down the side rather than across the top.
Regards from Tom :)
Comment 2 Duncan Lithgow 2011-06-15 10:31:27 UTC
+1 If you agree that this would be a great feature to add to OpenOffice/LibreOffice, add yourself to the CC list, everyone can see how many people are subscribed and if the number gets high enough it might get some attention.
Comment 4 vitriol 2011-10-31 07:00:14 UTC
*** Bug 42429 has been marked as a duplicate of this bug. ***
Comment 5 Björn Michaelsen 2011-12-23 12:05:36 UTC Comment hidden (obsolete)
Comment 6 Adolfo Jayme 2012-07-11 09:24:40 UTC Comment hidden (me-too)
Comment 7 Urmas 2012-08-10 11:45:57 UTC
*** Bug 53251 has been marked as a duplicate of this bug. ***
Comment 8 Urmas 2012-08-26 12:37:06 UTC
*** Bug 54078 has been marked as a duplicate of this bug. ***
Comment 9 František 2012-10-06 04:46:11 UTC
Tabbed interface is interesting idea. I would like to leave few remarks before you start to implement it.

I am heavy user of tabs in Firefox. Usually have 10+ and sometime two windows full of tabs. I use them in Finder (mac) thanks to TotalFinder too.

But....
First I'm heavy keyboard shortcuts user. When idea is not well implemented it can be nightmare. Mouse clickers will be fine anyway but not keyboard users.
Apps that use tabs usually employ own set of shortcut to switch between tabs if they employ one. They can have different one on different platform. It can became mess a bit.
And shortcuts that work for US user may not work for international users because keys are not common on their keyboard layouts and nobody paid attention to that.

I'm Mac and WinXP user. You have to have computer in head to keep all those variants in mind and be able to use them.

In Finder I have no clue how cycle through window with command+` because I have to enter apostrofe with character viewer. And not sore I have right key on PC keyboard i use with mac.

For example:
Firefox on Mac use command++alt+arrow, on Win it use ctlr+tab and ctrl+shift+tab that is difficult for one hand
Safari om Mac use command+shift+arrow, on Win I don't know.
Finder on Mac use that weird command+` but I use ctl+tab thanks to Witch extension.

When you have all document as separate windows you can switch easily with alt+tab on windows. I do not know whether I can switch them in LO on Mac at all. I can but with help of Witch.

So please implement it with that in mind. Tabbed interface requiring a mouse to be usable would be downgrade.

Thanks a lot.

Frantisek
Comment 10 Jiero 2013-02-19 05:22:03 UTC
5 more people want this, http://forum.ubuntu.org.cn/viewtopic.php?f=35&t=401081

Because many Chinese tend to have only modifiable documents for exchange purpose; tab make copy / refer to other documents easier.

They also request split docuement view, allow 2 docment display in single instance together.

I don't need those functions though.
Comment 11 henry cui 2013-03-26 05:33:33 UTC Comment hidden (me-too)
Comment 12 Hannes Dorn 2013-05-06 11:10:45 UTC Comment hidden (me-too)
Comment 13 Adolfo Jayme 2013-05-24 18:01:05 UTC
*** Bug 64847 has been marked as a duplicate of this bug. ***
Comment 14 Urmas 2013-11-10 20:12:24 UTC
*** Bug 71451 has been marked as a duplicate of this bug. ***
Comment 15 Soumya Boral 2013-11-11 07:50:30 UTC Comment hidden (me-too)
Comment 16 Adolfo Jayme 2013-12-15 20:05:27 UTC
*** Bug 42429 has been marked as a duplicate of this bug. ***
Comment 17 David Delma 2013-12-19 06:00:15 UTC Comment hidden (me-too)
Comment 18 Armandos 2014-01-21 15:44:39 UTC Comment hidden (me-too)
Comment 19 Amain 2014-04-03 15:37:12 UTC Comment hidden (me-too)
Comment 20 Owen Genat (retired) 2014-09-15 11:23:08 UTC
Summary amended for clarity (better distinction from bug 33173).
Comment 21 Valter Mura 2014-10-05 11:18:10 UTC Comment hidden (me-too)
Comment 22 Marina Latini (SUSE) 2014-11-10 09:23:32 UTC Comment hidden (me-too)
Comment 23 Urmas 2014-11-10 09:57:08 UTC
The code for such things was written in 1994 and no one is going to touch it without a solid incentive. "+1", "I need that feature", etc. comments are, on the other hand, just spam.
Comment 24 Gabriele Ponzo 2014-11-10 11:29:35 UTC Comment hidden (me-too)
Comment 25 isosunti 2014-12-09 18:16:54 UTC Comment hidden (me-too)
Comment 26 Alex 2016-02-24 08:27:48 UTC Comment hidden (me-too)
Comment 27 Zenaan Harkness 2016-08-30 14:52:59 UTC
Could be considered to be dependent on bug #33232 (workspaces), but also note that there is some negative feedback described in bug #101776, where "tabbed views" are not considered kosher at this point in time.

However, the good news is that workspaces seems to have some traction, and tabbed (multi document) views as in here, seem quite popular (I too am a great fan - but what I really want is configurable workspaces and many and flexible options for navigation aids - surely we deserve the best :)

Also, tabs are certainly needed to make the proprietary Adobe DreamWeaver obsolete - see bug #101772
Comment 28 V Stuart Foote 2016-11-19 13:55:58 UTC
*** Bug 104021 has been marked as a duplicate of this bug. ***
Comment 29 Rahan son of craow 2016-11-19 17:28:03 UTC Comment hidden (me-too)
Comment 30 Rahan son of craow 2016-11-19 17:28:40 UTC Comment hidden (me-too, obsolete)
Comment 31 V Stuart Foote 2017-03-26 13:39:13 UTC
*** Bug 106768 has been marked as a duplicate of this bug. ***
Comment 32 J.M. Hardin 2017-04-08 18:12:49 UTC Comment hidden (me-too)
Comment 33 Lynne Connolly 2017-06-19 16:18:06 UTC Comment hidden (me-too)
Comment 34 URxvt 2017-10-12 23:21:23 UTC Comment hidden (me-too)
Comment 35 V Stuart Foote 2017-12-05 19:14:37 UTC
*** Bug 114250 has been marked as a duplicate of this bug. ***
Comment 36 Timur 2019-02-14 13:15:48 UTC
*** Bug 123307 has been marked as a duplicate of this bug. ***
Comment 37 Milos Sramek 2019-02-28 08:28:12 UTC Comment hidden (me-too)
Comment 38 Roman Kuznetsov 2019-03-12 16:14:08 UTC
*** Bug 33173 has been marked as a duplicate of this bug. ***
Comment 39 V Stuart Foote 2019-03-12 16:48:16 UTC
*** Bug 37806 has been marked as a duplicate of this bug. ***
Comment 40 V Stuart Foote 2019-03-12 16:48:32 UTC
*** Bug 38401 has been marked as a duplicate of this bug. ***
Comment 41 V Stuart Foote 2019-03-12 16:48:44 UTC
*** Bug 111431 has been marked as a duplicate of this bug. ***
Comment 42 V Stuart Foote 2019-03-12 16:49:03 UTC
*** Bug 121809 has been marked as a duplicate of this bug. ***
Comment 43 Xisco Faulí 2019-12-02 11:08:21 UTC
Changing priority to 'high' since the number of duplicates is 5 or higher
Comment 44 roland 2019-12-02 12:14:42 UTC
Created attachment 156244 [details]
right click to add division/tab

Right click on division tab pops up this menu
Comment 45 roland 2019-12-02 12:18:05 UTC
Created attachment 156245 [details]
division properties 1

menu lets you do many things including change properties
Comment 46 roland 2019-12-02 12:18:48 UTC
Created attachment 156246 [details]
division properties 2
Comment 47 roland 2019-12-02 12:19:51 UTC
Created attachment 156247 [details]
after changing name

After changing name.
Comment 48 roland 2019-12-02 12:38:48 UTC
(In reply to Xisco Faulí from comment #43)
> Changing priority to 'high' since the number of duplicates is 5 or higher

Thank you soooo much! I added some screen shots. To really understand the power of tabbed divisions you really have to use them for a while or pick up one of the old books on eBay.

It will install under Windows 7 Pro 64-bit. You have to first enable the Administrator account, not just be logged in with administrator privs. The same "might" work for Windows 10 but most claim the product simply either won't install or run under Windows 10. Might want to create XP VM for testing. 

Definitely install in a VM. The common complaint is that it installs older versions of fonts over top of newer, better looking versions of the same fonts. Some instructions on how to "fix" that can be found in the comments at this download link.

https://archive.org/details/LotusSmartSuite99

Another supposed download link.

https://softadvice.informer.com/Lotus_Word_Pro_Viewer.html

The only difficult thing is getting the LWP spec. I haven't seen it in years. There appears to now be a murky little circle still understanding it. Deb printing claims to support everything under the sun.
https://debprinting.com/page/accepted-file-formats

This document converter site also claims to support it.
https://www.google.com/url?sa=t&rct=j&q=&esrc=s&source=web&cd=14&cad=rja&uact=8&ved=2ahUKEwjH59qH-5bmAhWQMd8KHR64C0gQFjANegQICBAB&url=https%3A%2F%2Fwww.etyn.com%2Ftools%2Fdocument-converter&usg=AOvVaw2T_a2okvxER7LaHrVOdUCb

Yes, LO claims LWP support, but, as others monitoring this will most likely chime in, not really. I had an awful lot of lwp files from back in the day, some of which I needed. I used to use the VM->WordPro->File-SaveAs to get the bulk of them. Launching network search now to find any remaining. If they are not for companies still in business and not for systems still in use I will provide. Most of that stuff was created during my OS/2 Warp days so it should be relatively safe to allow into the wild.
Comment 49 roland 2019-12-02 13:36:27 UTC
Just finished testing install on Windows 10 64-bit Pro from CD. Works just fine. Must be Admin, not just a user with Admin privs. Had to install printer in VM. Default Oracle Virtualbox will have NAT as network device setup. This allows Internet but not local net access. Must changed to Bridged for local network printer access. Sadly you won't have Internet access then. Thankfully you can change this on the fly without restarting the VM.

NAS is taking it's sweet time hunting for .lwp extensions.
Comment 50 Lynne Connolly 2020-01-21 21:45:35 UTC
Could this be done as an extra toolbar? Then it could be arranged as the user likes, or hidden if wished. A toolbar with all the open documents listed on it, and the ability to switch from one document to another, and to rearrange the tabs with drag and drop.
Comment 51 roland 2020-01-21 21:56:29 UTC
(In reply to Lynne Connolly from comment #50)
> Could this be done as an extra toolbar? Then it could be arranged as the
> user likes, or hidden if wished. A toolbar with all the open documents
> listed on it, and the ability to switch from one document to another, and to
> rearrange the tabs with drag and drop.

What everyone seems to be missing is these aren't separate document files. All tabbed divisions exist in a single LWP file. I un-hid the comments which someone flagged as off-topic so you can have a better idea of what people are really asking for. Those images are highly relevant to understanding this.

A tabbed division is "conceptually" a separate document but it physically exists in the hierarchy tree of the LWP file. 

When you change the position of a tabbed division, i.e. dragging it between 2 others, you physically change its hierarchical position in the file. You can save that file, copy to a thumb drive, take to another machine, and it will open up with those tabs in that order.

Unless the OpenDocument specification is going to expand/change, this isn't something that can be "faked" into LO. Others can way in, but as far as I know, LWP was the only file format to support this.

Scrivener has something now, but I don't know what it is.
Comment 52 David 2020-01-23 23:24:26 UTC
(In reply to roland from comment #51)
> What everyone seems to be missing is these aren't separate document files.
> All tabbed divisions exist in a single LWP file. I un-hid the comments which
> someone flagged as off-topic so you can have a better idea of what people
> are really asking for. Those images are highly relevant to understanding
> this.

What's being missed is that this bug is for documents per tab.  The bug for divisions/sections per tab is 33173.
Comment 53 luciano_f 2020-08-18 13:36:06 UTC
Hello, good morning everyone.

Some position on this Guides feature as it would make LibreOffice very powerful and I believe that more users of Microsoft Office would migrate to LibreOffice.

  Currently OnyOffice already has this feature.
Comment 54 luciano_f 2020-08-18 20:36:38 UTC
in OnlyOffice this feature is native

See this attached image.

https://ibb.co/r4dPWsx

https://mega.nz/file/lvhTmDoC#fwXtaYfy4iugnujHaTH19nl2o4qWyE1RQ8ZdmzOGzd0
Comment 55 Gabriele Ponzo 2020-08-19 07:39:21 UTC
Anyway, from my POV it should be optional, since in my (current) daily job, I use many LO windows tiled and I need them that way, since I have to assemble and translate technical manuals.
Comment 56 Rafael Lima 2020-09-14 22:19:03 UTC
(In reply to luciano_f from comment #54)
> in OnlyOffice this feature is native
> 
> See this attached image.
> 
> https://ibb.co/r4dPWsx
> 
> https://mega.nz/file/lvhTmDoC#fwXtaYfy4iugnujHaTH19nl2o4qWyE1RQ8ZdmzOGzd0

I believe most LO users would welcome tabs for switching between opened files. This would be great for productivity.

The current design of LibreOffice consists of a title bar that has nothing but the filename. Hence, it would be possible to adopt a layout similar to OnlyOffice's. Another good example is Firefox's design when you hide the title bar.

However, I'd like to point out that:
1) OnlyOffice allows to have tabs from different applications (spreadsheets, presentations and text documents) in the same window. I personally would prefer to have tabs grouped by application.

2) Some users do not like tabs to switch between files. Therefore, if this feature is to be implemented, it should be optional. This could be done by adding an option to the Tools -> Options -> View dialog. There could be a "Open new files as tabs" checkbox.
Comment 57 Todd 2020-09-14 22:36:14 UTC
(In reply to Rafael Lima from comment #56)

> I believe most LO users would welcome tabs for switching between opened
> files. This would be great for productivity.

We have been using Master PDF Editor to fill in tax forms the past two weeks.  It also supports tabbed files.  The tabs are a wonderful productivity tool.  We also have the option of using PDF Studio, which does not support tabbed documents.  It is much more difficult to use when you have multiple documents open.

I doubt LO will ever implement this unless we can put together a crowd source funding to cover the labour involved.
Comment 58 Gerry 2020-09-15 07:27:49 UTC
Created attachment 165505 [details]
StarOffice 5.2 with seven open tabs

I'd also love to have a tabbed UI in LibreOffice. 

Since Staroffice was actually able to do that, I wonder whether the code is still functional in LibreOffice? 

Please see the screenshot of StarOffice 5.2 with 7 open tabs at the bottom of the window. In fact, StarOffice went that far, that the tabbed UI included all StarOffice applications. In the screenshot, you see tabs of Writer, Calc and Draw.
Comment 59 Todd 2020-09-15 07:42:21 UTC
It is not going to happen.  The economic model for Open Source is to give the code away for free and charge for the maintenance.   Until we get some mechanism in place, like crowd sourcing, to hire a LO developer to work on this and several other wonderful RFE's, then it will sit here until we all die of old age.  They deserve to get paid for what they do.